CFLAGS += -isystem $(KERNELDIR)/include
CFLAGS += -D__KERNEL__ -DMODULE

LD = ld
LDFLAGS = -m elf_i386 -r

OBJS = init.o proc.o proto.o
SRCS = init.c proc.c proto.c
INCS = drcom_linux.h proc.h proto.h
MODULES = drcom.o

.PHONY: all install

all: $(MODULES)

install: $(MODULES)
	mkdir -p $(DESTDIR)$(modulesdir)/misc
	cp drcom.o $(DESTDIR)$(modulesdir)/misc
ifeq ($(DESTDIR),)
	depmod -a $(KERNELVERSION)
else
	depmod -a -b $(DESTDIR) $(KERNELVERSION)
endif

drcom.o: $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS)

init.o: $(TOPSRCDIR)/config.h drcom_linux.h proc.h proto.h init.c
proc.o: $(TOPSRCDIR)/config.h $(TOPSRCDIR)/include/drcom_types.h drcom_linux.h proc.c
proto.o: $(TOPSRCDIR)/config.h $(TOPSRCDIR)/include/drcom_types.h drcom_linux.h proc.h proto.c except/*.[ch]

# do we need this?
#except/*.[ch]:
#	  false

