#define MODULE
#define __KERNEL__

#include <linux/init.h>
#include <linux/module.h>
#include <linux/kernel.h>

#include "config.h"

#include "proc.h"
#include "proto.h"

int drcom_init(void);
void drcom_exit(void);

int drcom_init()
{
  EXPORT_NO_SYMBOLS;
  init_proc();
  init_proto();
#ifdef DEBUG
  printk("drcom.o loaded.\n");
#endif
  return 0;
}

void drcom_exit()
{
  cleanup_proto();
  cleanup_proc();
#ifdef DEBUG
  printk("drcom.o unloaded.\n");
#endif
  return;
}

module_init(drcom_init)
module_exit(drcom_exit)

MODULE_LICENSE("GPL");
MODULE_AUTHOR("William Poetra Yoga Hadisoeseno");
MODULE_DESCRIPTION("Provides authentication for drcom");

